For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
PlatformSign Up
DocsAPI Reference
DocsAPI Reference
  • Overview
    • API Reference
  • Access Grants
    • GETList access grants
    • POSTCreate access grant
    • DELDelete access grant
    • POSTBulk create access grants
  • Registries
    • GETList registries
    • POSTCreate registry
    • DELDelete registry
    • PATCHEdit registry
    • GETGet artifact version
    • POSTPublish artifact version
    • GETGet component from registry
    • GETGet prompt details
    • GETGet version content
    • GETList prompts across registries
    • GETList artifact versions
    • GETList dependents of a promptlet
    • DELDelete artifact version
    • POSTClone artifact version
  • API Keys
    • GETList API keys
    • POSTCreate API key
    • DELDelete API key
  • Tools
    • GETList tools
    • POSTCreate tool
    • GETGet tool
    • DELDelete tool
    • PATCHUpdate tool
    • GETGet tool types
  • Drafts
    • GETList drafts
    • POSTSave draft (upsert)
    • GETGet draft by ID
    • DELDelete draft (soft)
    • GETGet draft body markdown
    • GETGet draft by registry, prompt name, artifact type, and version
    • GETList drafts for a specific prompt
    • POSTCreate draft compile preview
    • POSTCreate draft publish
    • POSTClone artifact version to a draft
  • Import
    • POSTFetch prompts from external providers
  • Environments
    • GETList environments
    • POSTCreate environment
    • GETGet environment
    • DELDelete environment
    • PATCHUpdate environment
    • GETGet environment by ID
    • GETList deployment providers
    • GETGet agent configuration schema
    • GETList secrets
    • POSTCreate secret
    • GETGet secret
    • DELDelete secret
    • PATCHUpdate secret
  • Fleets
    • GETList fleets
    • POSTCreate fleet
    • GETGet fleet
    • DELDelete fleet
    • PATCHUpdate fleet
  • Agents
    • GETList agents
    • POSTCreate agent
    • GETGet agent
    • DELDelete agent
    • PATCHUpdate agent
    • POSTCancel imported agent draft
    • POSTDeploy prompt to agents
    • POSTPrepare deployment preview
    • POSTDispatch async deployment
    • POSTCreate import job
    • POSTRetry import item
    • POSTDispatch async agent removal
    • POSTDispatch async agent verification
    • GETGet deployment job
    • GETGet import job
    • GETGet deployment approval records
    • GETList deployment jobs
    • GETGet provider capabilities
    • GETList remote agents
    • POSTApprove a deployment (approver)
    • POSTDeny a deployment (approver)
    • GETGet deployment history
    • POSTVerify deployment
    • POSTReset changes
    • POSTCopy deployment to environment
    • GETList deployment records
    • POSTDeploy tool
    • GETList tool deployment records
    • GETList tool availability
    • PUTUpdate tool availability
    • PATCHUpdate agent tool refs
    • GETList agent versions
    • POSTCreate agent version
    • GETGet agent version
    • POSTExtract template variables
  • Deployments
    • GETList deployment history
    • GETGet deployment detail
    • GETGet deployment activity heatmap
  • Dependencies
    • GETOrganization dependency graph
    • GETEntity-centered dependency graph
  • Llm Providers
    • GETList LLM Providers
    • POSTCreate LLM Provider
    • GETGet LLM Provider
    • DELDelete LLM Provider
    • PATCHUpdate LLM Provider
    • POSTTest LLM Provider
    • POSTList provider models
    • POSTEnsure Portkey Virtual Key
    • GETList Elacity-provided system models
    • GETGet system LLM token usage
  • Prompt Providers
    • GETList Prompt Providers
    • POSTCreate Prompt Provider
    • GETGet Prompt Provider
    • DELDelete Prompt Provider
    • PATCHUpdate Prompt Provider
    • POSTTest Prompt Provider
    • GETList Prompt Provider Prompts
    • GETGet Prompt Provider Prompt
  • Notifications
    • GETList notification channels
    • POSTCreate notification channel
    • DELDelete notification channel
    • PATCHUpdate notification channel
    • POSTCreate notification subscription
    • DELDelete notification subscription
    • PATCHUpdate notification subscription
    • GETList notification subscriptions
    • POSTBulk create notification subscriptions
    • GETList notification logs
    • GETList available action workflows
  • IN App Notifications
    • GETList in-app notifications
    • GETCount unread in-app notifications
    • DELDelete an in-app notification
    • PATCHMark notification as read
    • POSTMark all notifications as read
    • GETList in-app notification preferences
    • PATCHUpdate in-app notification preference
  • Observability
    • GETList Guardrails
    • POSTCreate Guardrail
    • GETGet Guardrail Details
    • DELDelete Guardrail
    • PATCHUpdate Guardrail
    • POSTSimulate Guardrail
    • GETList Logs
    • GETGet Aggregated Statistics
    • GETList Virtual Keys
    • POSTCreate Log Export
  • Governance
    • GETList policy templates
    • GETList governance evaluations
    • GETList evaluations for an artifact version
    • GETGet governance evaluation
    • GETList evaluation results for a specific policy
    • POSTCreate governance evaluation for prompt
    • POSTCreate governance evaluations for registry
    • POSTSimulate governance policy evaluation
    • GETList governance policies
    • POSTCreate governance policy
    • GETGet governance policy
    • DELDelete governance policy
    • PATCHUpdate governance policy
    • GETList policy assignments
    • POSTAssign policy to registry
    • DELRemove policy assignment
  • Audit Log
    • GETList audit events
    • GETGet audit event
LogoLogo
PlatformSign Up
Agents

Extract template variables

||View as Markdown|
POST
https://api/agents/template-variables
POST
/agents/template-variables
1curl -X POST https:/https://api/agents/template-variables \
2 -H "X-API-Key: <apiKey>" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "orgSlug": "string",
6 "promptReferences": {}
7}'

Resolve prompt references and extract template variable names that can be overridden per-agent

Was this page helpful?
Previous

Get agent version

Next

List deployment history

Built with

Authentication

X-API-Keystring

API key supplied via the X-API-Key header. Takes precedence over bearerApiKey when both are present.

OR
AuthorizationBearer

Same organization API key supplied as a Bearer token in the Authorization header (Authorization: Bearer <key>). Compatible with OpenAI-SDK-standard clients. Accepted by all authenticated endpoints; if both X-API-Key and Authorization: Bearer are present, X-API-Key wins.

Request

This endpoint expects an object.
orgSlugstringRequired
promptReferencesmap from strings to stringsRequired

Response

OK
any
OR
any